TILDA(1)

NAME
tilda - a highly configurable terminal emulator

SYNOPSIS
tilda [-b|--background-color color] [-c|--command command] [-h|--hidden] [-f|--font font] [-g|--config-file file] [-l|--lines file] [-s|--scrollbar] [-w|--working-dir dir] [-x|--x-pos x_pos] [-y|--y-pos y_pos] [-t|--background-alpha alpha] [-C|--config] [--display display]

tilda --dbus

tilda -T|--toggle-window [instance_id]

tilda --version

tilda --help

tilda --help-all

DESCRIPTION
Tilda is a terminal emulator which is highly configurable. The main distinguishing feature of tilda is that it uses a configurable shortcut to show and hide the tilda window. This allows users to quickly switch between tilda and other windows only through keyboard shortcuts. When tilda is hidden it will move outside of the screen until the pull/toggle shortcut is pressed again to show the tilda window. The behaviour of tilda can be configured using the preferences dialog that is available via the context menu. A subset of the options can also be configured from the command line as documented below.

Please note that currently command line options override the settings in the configuration file and are persisted into the configuration file.

On Xorg-based desktops, Tilda is using an X11 filter function to register its hotkeys. On Wayland, this method only works while other X11-based programs are active but we cannot send hotkeys to tilda while native Wayland applications have the focus. Therefore, on Wayland desktops tilda needs to be started with D-Bus support (i.e., with --dbus) and a global shortcut key must be registered using the desktop environment settings to send a D-Bus action to show or hide the Tilda window.

OPTIONS

  Help Options:

-?, --help
    Show help options

--help-all
    Show all help options, including D-Bus and GTK options.

  Application Options:

-b, --background-color color
    Set the background color. The value can be either a standard color name from X11 or a hexadecimal value (i.e., #rgb, #rrggbb, etc.).

-c, --command command
    Run a command at startup instead of the default shell.

-h, --hidden
    Start Tilda hidden.

-f, --font font
    Set the font to the Pango FontDescription specified in font. Defaults to "Monospace 11".

-l, --lines lines
    The the scrollback buffer size to a maximum of lines.

-s, --scrollbar
    Show a scrollbar at the side of the terminal.

-v, --version
    Print the version, then exit.

-w, --working-dir dir
    Set initial working directory to dir.

-x, --x-pos x_pos
    Set the X position of the tilda terminal window to x_pos.

-y, --y-pos y_pos
    Set the Y position of the tilda terminal window to y_pos.

-t, --background-alpha alpha
    Set the terminal windows transparency to alpha (i.e., 0-100%). Higher values increase the level of transparency.

-C, --config
    Show the configuration wizard.

--display=DISPLAY
    Set the X display to use (i.e., :0, :0.0, etc.).

  D-Bus Options:

--dbus
    Enables D-Bus support (see D-Bus).

-T, --toggle-window [instance_id]
    Toggle a Tilda window with instance_id and exit. If instance_id is not specified it will default to instance 0. This option provides a convenient way to toggle tilda windows on Wayland environments and is equivalent to the longer dbus-send command documented below. It can be used to setup a Keyboard shortcut on a Wayland-based desktop environment which will then toggle the Tilda window. Note, that this option is affected by the "Non-Focus Pull Up Behaviour" setting.

NOTES

  D-Bus
If D-Bus is enabled, then Tilda offers a method on D-Bus to toggle the Tilda Window. Each Tilda process registers its own D-Bus name, so it is possible to run multiple tilda processes each with their own config file and control them separately via D-Bus. When D-Bus is enabled, then the pull down shortcut is not registered as an Xorg filter function, and a suitable global shortcut needs to be configured in the desktop environment (see --toggle-window). You may optionally clear the pull shortcut in the settings, if D-Bus support is enabled.

Each Tilda instance registers itself using a dynamically generated bus name and object path using its instance number. The first Tilda instance will be on the bus name:

com.github.lanoxx.tilda.Actions0

with object path:

/com/github/lanoxx/tilda/Actions0

The interface name is always:

com.github.lanoxx.tilda.Actions

To toggle the tilda window you can use the -T|--toggle-window option of tilda:

tilda -T    # toggle default instance (i.e., 0)

tilda -T 0  # explicitly toggle the specified instance (i.e., 0)

Alternatively, you can also use the dbus-send command.

dbus-send --session --type=method_call \
           --dest=com.github.lanoxx.tilda.Actions0 \
           /com/github/lanoxx/tilda/Actions0 \
           com.github.lanoxx.tilda.Actions.Toggle

For each additional tilda instance the bus name and object path will be incremented by one (e.g. Actions1, Actions2, etc.).

You can use one of the above commands to register a global hotkey in your Wayland session. Under Gnome, this can be done under Settings -> Keyboard -> Keyboard Shortcuts.

  FILES

Tilda creates its configuration files under ~/.config/tilda/. For each instance it will create a config file named config_<N>, where <N> starts at 0 and is incremented for each additional process that is started.

Tilda also creates a cache directory under ~/.cache/tilda/locks, where it will create a global lock file named lock_0_0 and additional instance specific lock files named lock_<PID>_<N>, where <PID> is the process id and <N> is the instance id.

You may optionally create a file named style.css and place it into the tilda config directory if you want to customize the look of tilda.

BUGS
Please report bugs via Github at https://github.com/lanoxx/tilda/issues

SEE ALSO
For further information visit the project repository or have a look at the wiki: https://github.com/lanoxx/tilda/wiki